POST
/api/v1/compliance/board-reportsGenerate + persist a board report
Generates a board report and persists it (optionally Ed25519-signed). role=admin, audited.
Authentication
Send Authorization: Bearer YOUR_API_KEY on every request. Generate API keys at /dashboard/api-keys.
Request body required
Example
{
"orgId": "00000000-0000-0000-0000-000000000000",
"orgName": "string",
"periodStart": "string",
"periodEnd": "string",
"riskData": {},
"complianceData": {},
"costData": {},
"securityData": {},
"performanceData": {},
"sign": false
}Schema
{
"application/json": {
"schema": {
"type": "object",
"properties": {
"orgId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"orgName": {
"type": "string",
"minLength": 1,
"maxLength": 200
},
"periodStart": {
"type": "string",
"minLength": 1,
"maxLength": 40
},
"periodEnd": {
"type": "string",
"minLength": 1,
"maxLength": 40
},
"riskData": {
"type": "object",
"additionalProperties": {}
},
"complianceData": {
"type": "object",
"additionalProperties": {}
},
"costData": {
"type": "object",
"additionalProperties": {}
},
"securityData": {
"type": "object",
"additionalProperties": {}
},
"performanceData": {
"type": "object",
"additionalProperties": {}
},
"sign": {
"default": false,
"type": "boolean"
}
},
"required": [
"orgId",
"orgName",
"periodStart",
"periodEnd",
"sign"
],
"additionalProperties": false
}
}
}Response
201 example
{
"success": true
}All status codes
201Generated.
400(no description)
401(no description)
403Forbidden — insufficient role for this operation.
429(no description)
Code samples
cURL
curl -X POST \
https://evalguard.ai/api/v1/compliance/board-reports \
-H "Authorization: Bearer $EVALGUARD_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "orgId": "00000000-0000-0000-0000-000000000000", "orgName": "string", "periodStart": "string", "periodEnd": "string", "riskData": {}, "complianceData": {}, "costData": {}, "securityData": {}, "performanceData": {}, "sign": false }'TypeScript
import { EvalGuard } from "@evalguard/sdk";
const client = new EvalGuard({ apiKey: process.env.EVALGUARD_API_KEY });
const response = await client.request({
method: "POST",
path: "/api/v1/compliance/board-reports",
body: {
"orgId": "00000000-0000-0000-0000-000000000000",
"orgName": "string",
"periodStart": "string",
"periodEnd": "string",
"riskData": {},
"complianceData": {},
"costData": {},
"securityData": {},
"performanceData": {},
"sign": false
},
});
console.log(response);Python
from evalguard import EvalGuard
import os
client = EvalGuard(api_key=os.environ["EVALGUARD_API_KEY"])
response = client.request(
method="POST",
path="/api/v1/compliance/board-reports",
body={
"orgId": "00000000-0000-0000-0000-000000000000",
"orgName": "string",
"periodStart": "string",
"periodEnd": "string",
"riskData": {},
"complianceData": {},
"costData": {},
"securityData": {},
"performanceData": {},
"sign": False
},
)
print(response)Go
package main
import (
"context"
"fmt"
"net/http"
"os"
"strings"
)
func main() {
body := strings.NewReader(`{"orgId":"00000000-0000-0000-0000-000000000000","orgName":"string","periodStart":"string","periodEnd":"string","riskData":{},"complianceData":{},"costData":{},"securityData":{},"performanceData":{},"sign":false}`)
req, _ := http.NewRequestWithContext(context.Background(), "POST", "https://evalguard.ai/api/v1/compliance/board-reports", body)
req.Header.Set("Authorization", "Bearer "+os.Getenv("EVALGUARD_API_KEY"))
req.Header.Set("Content-Type", "application/json")
resp, err := http.DefaultClient.Do(req)
if err != nil { panic(err) }
defer resp.Body.Close()
fmt.Println(resp.Status)
}Errors
400401403429